Package: org.apache.groovy.groovysh.completion.antlr4

## [Groovy] Enum GroovySyntaxCompleter.CompletionCase

- org.apache.groovy.groovysh.completion.antlr4.GroovySyntaxCompleter.CompletionCase

-     static enum GroovySyntaxCompleter.CompletionCase

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DOT_LAST` |
    `INSTANCEOF` |
    `NO_COMPLETION` |
    `NO_DOT_PREFIX` |
    `PREFIX_AFTER_DOT` |
    `PREFIX_AFTER_SPREAD_DOT` |
    `SECOND_IDENT` |
    `SPREAD_DOT_LAST` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static GroovySyntaxCompleter.CompletionCase` | `MAX_VALUE` |
    `static GroovySyntaxCompleter.CompletionCase` | `MIN_VALUE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovySyntaxCompleter.CompletionCase` | `next()`
    `` | `GroovySyntaxCompleter.CompletionCase` | `previous()`
    `` | `static GroovySyntaxCompleter.CompletionCase` | `valueOf(String name)`
    `` | `static final GroovySyntaxCompleter.CompletionCase[]` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### GroovySyntaxCompleter.CompletionCase DOT_LAST

    - #### GroovySyntaxCompleter.CompletionCase INSTANCEOF

    - #### GroovySyntaxCompleter.CompletionCase NO_COMPLETION

    - #### GroovySyntaxCompleter.CompletionCase NO_DOT_PREFIX

    - #### GroovySyntaxCompleter.CompletionCase PREFIX_AFTER_DOT

    - #### GroovySyntaxCompleter.CompletionCase PREFIX_AFTER_SPREAD_DOT

    - #### GroovySyntaxCompleter.CompletionCase SECOND_IDENT

    - #### GroovySyntaxCompleter.CompletionCase SPREAD_DOT_LAST

  - ### Field Detail

    - #### public static final GroovySyntaxCompleter.CompletionCase MAX_VALUE

    - #### public static final GroovySyntaxCompleter.CompletionCase MIN_VALUE

  - ### Method Detail

    - #### @Generated GroovySyntaxCompleter.CompletionCase next()

    - #### @Generated GroovySyntaxCompleter.CompletionCase previous()

    - #### @Generated static GroovySyntaxCompleter.CompletionCase valueOf(String name)

    - #### @Generated static final GroovySyntaxCompleter.CompletionCase[] values()